# List Project Members List all project members by given project ID. # OpenAPI definition ```json { "openapi": "3.0.0", "info": { "title": "Attendances API", "version": "2.0.0", "description": "Endpoints to manage attendance periods, projects and their members." }, "servers": [ { "url": "https://api.personio.de" } ], "security": [ { "BearerAuth": [] } ], "tags": [ { "name": "Project Members", "description": "Endpoints relating to project members." } ], "paths": { "/v2/projects/{id}/members": { "parameters": [ { "$ref": "#/components/parameters/projectIdParam" } ], "get": { "x-path-examples": { "200 LIST project members": { "value": "/papi/v2/projects/1234/members" }, "200 LIST project members by limit": { "value": "/papi/v2/projects/1234/members", "query": "limit=1" }, "403 Forbidden response": { "value": "/papi/v2/projects/1234/members" }, "404 Resource Not Found": { "value": "/papi/v2/projects/9999/members" }, "422 Invalid limit": { "value": "/papi/v2/projects/1234/members", "query": "limit=300" } }, "tags": [ "Project Members" ], "summary": "List Project Members", "description": "List all project members by given project ID.\n", "parameters": [ { "$ref": "#/paths/~1v2~1projects/get/parameters/0" }, { "name": "limit", "in": "query", "required": false, "schema": { "type": "integer", "minimum": 1, "maximum": 200, "default": 200 }, "description": "The maximum number of project members returned per request." } ], "responses": { "200": { "$ref": "#/components/responses/ListProjectMembersResponse" }, "403": { "$ref": "#/components/responses/ForbiddenResponse" }, "404": { "$ref": "#/components/responses/NotFoundResponse" }, "422": { "$ref": "#/components/responses/ListProjectMembersBadRequestResponse" } } } } }, "components": { "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer" } }, "schemas": { "ProjectMember": { "type": "object", "required": [ "person" ], "description": "- Model of project member entity. - Describes a person assigned to a project.", "properties": { "person": { "type": "object", "description": "An object reference for a Person.", "required": [ "id" ], "properties": { "id": { "type": "string", "example": "1234" } } } } } }, "responses": { "ForbiddenResponse": { "description": "Forbidden", "content": { "application/problem+json": { "schema": { "$ref": "#/components/responses/NotFoundResponse/content/application~1problem%2Bjson/schema" }, "examples": { "403 Forbidden response": { "$ref": "#/components/examples/ForbiddenResponse" } } } } }, "NotFoundResponse": { "description": "The resource could not be found.", "content": { "application/problem+json": { "schema": { "type": "object", "description": "This object represents an error response.", "properties": { "personio_trace_id": { "type": "string", "example": "aswo3f-a202lfso-312123sld-1230ddd", "description": "A unique ID that was created for this error." }, "timestamp": { "type": "string", "format": "date-time", "example": "2021-05-28T11:17:30.000Z", "description": "The timestamp of when the error occurred." }, "errors": { "type": "array", "items": { "type": "object", "properties": { "title": { "type": "string", "example": "Not found", "description": "The title of the error." }, "detail": { "type": "string", "example": "The requested resource was not found.", "description": "A short description about the error." }, "type": { "type": "string", "format": "uri", "example": "https://developer.personio.de/reference/errors#common.requested_resource_not_found", "description": "A link to the developer hub where more information can be found for the encountered error." }, "_meta": { "type": "object", "additionalProperties": { "type": "string" } } } } } } }, "examples": { "404 Resource Not Found": { "$ref": "#/components/examples/NotFoundResponse" } } } } }, "ListProjectsResponse": { "description": "Successful response.", "content": { "application/json": { "schema": { "type": "object", "properties": { "_data": { "type": "array", "items": { "$ref": "#/components/schemas/Project" } }, "_meta": { "description": "This object represents the metadata information for an object. It's a set of arbitrary key/value attributes such as `links`.", "type": "object", "readOnly": true, "properties": { "links": { "type": "object", "additionalProperties": { "description": "This objects represents a hyperlink.", "type": "object", "readOnly": true, "properties": { "href": { "type": "string", "format": "uri" } }, "additionalProperties": true }, "example": { "links": { "self": { "href": "https://api.personio.de/v2/person?cursor=" } } } } } } } }, "examples": { "200 LIST projects": { "$ref": "#/components/examples/ListProjectsResponseMultiItems" }, "200 LIST projects by limit": { "$ref": "#/components/examples/ListProjectsResponseSingleItem" }, "200 LIST projects by id": { "$ref": "#/components/examples/ListProjectsResponseSingleItem" }, "200 LIST projects by multiple ids": { "$ref": "#/components/examples/ListProjectsResponseMultiItems" }, "200 LIST projects by name": { "$ref": "#/components/examples/ListProjectsResponseSingleItem" }, "200 LIST projects by multiple names": { "$ref": "#/components/examples/ListProjectsResponseMultiItems" }, "200 LIST projects by status": { "$ref": "#/components/examples/ListProjectsResponseSingleItem" }, "200 LIST projects by project code": { "$ref": "#/components/examples/ListProjectsResponseSingleItem" }, "200 LIST projects by multiple project codes": { "$ref": "#/components/examples/ListProjectsResponseMultiItems" }, "200 LIST projects by parent project id": { "$ref": "#/components/examples/ListProjectsResponseSingleItem" }, "200 LIST projects by multiple parent project ids": { "$ref": "#/components/examples/ListProjectsResponseMultiItems" }, "200 LIST projects by top level only": { "$ref": "#/components/examples/ListProjectsByTopLevelOnly" }, "200 LIST projects with included fields": { "$ref": "#/components/examples/ListProjectsResponseWithInclude" } } } } }, "ListProjectMembersResponse": { "description": "Successful response.", "content": { "application/json": { "schema": { "type": "object", "properties": { "_data": { "type": "array", "items": { "$ref": "#/components/schemas/ProjectMember" } }, "_meta": { "$ref": "#/components/responses/ListProjectsResponse/content/application~1json/schema/properties/_meta" } } }, "examples": { "200 LIST project members": { "$ref": "#/components/examples/ListProjectMembersResponse" }, "200 LIST project members by limit": { "$ref": "#/components/examples/ListProjectMembersResponseSingleItem" } } } } }, "ListProjectMembersBadRequestResponse": { "description": "Invalid request", "content": { "application/problem+json": { "schema": { "$ref": "#/components/responses/NotFoundResponse/content/application~1problem%2Bjson/schema" }, "examples": { "422 Invalid limit": { "$ref": "#/components/examples/InvalidListLimitResponse" } } } } } }, "examples": { "ForbiddenResponse": { "value": { "personio_trace_id": "aswo3f-a202lfso-312123sld-1230ddd", "timestamp": "2021-05-28T11:17:30+00:00", "errors": [ { "title": "Access denied", "detail": "Access denied to perform attendance period operations.", "type": "https://developer.personio.de/reference/errors#common.forbidden_response" } ] } }, "NotFoundResponse": { "value": { "personio_trace_id": "aswo3f-a202lfso-312123sld-1230ddd", "timestamp": "2021-05-28T11:17:30+00:00", "errors": [ { "title": "Resource not found", "detail": "The requested resource is not found.", "type": "https://developer.personio.de/reference/errors#common.resource_not_found" } ] } }, "InvalidListLimitResponse": { "value": { "personio_trace_id": "aswo3f-a202lfso-312123sld-1230ddd", "timestamp": "2021-05-28T11:17:30Z", "errors": [ { "title": "Invalid limit parameter.", "detail": "The provided value for the 'limit' parameter is invalid. Please ensure that the value is an integer within the range 1-200." } ] } }, "ListProjectMembersResponse": { "value": { "_data": [ { "person": { "id": "14" } }, { "person": { "id": "15" } } ] } }, "ListProjectMembersResponseSingleItem": { "value": { "_data": [ { "person": { "id": "14" } } ] } } } } } ```